export declare type ControllerTemplateArgs = {
    httpMethod: string;
    expressPath: string;
    requestTypeName: string;
    responseTypeName: string;
    controllerTypeName: string;
    controllerMethodName: string;
    pathParamsType?: string;
    responseBodyType?: string;
    bodyParamType?: string;
    queryParamsType?: string;
    statusCodeType?: string;
};
export declare const controllerTemplate: ({ requestTypeName, responseTypeName, controllerTypeName, controllerMethodName, pathParamsType, responseBodyType, bodyParamType, queryParamsType, statusCodeType }: ControllerTemplateArgs) => string;
